aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-portage')
-rw-r--r--app-portage/g-octave/ChangeLog31
-rw-r--r--app-portage/g-octave/Manifest33
-rw-r--r--app-portage/g-octave/g-octave-0.1.ebuild30
-rw-r--r--app-portage/g-octave/g-octave-9999.ebuild34
-rw-r--r--app-portage/g-octave/metadata.xml18
5 files changed, 146 insertions, 0 deletions
diff --git a/app-portage/g-octave/ChangeLog b/app-portage/g-octave/ChangeLog
new file mode 100644
index 000000000..ea60888be
--- /dev/null
+++ b/app-portage/g-octave/ChangeLog
@@ -0,0 +1,31 @@
+# ChangeLog for app-portage/g-octave
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 05 Jun 2010; Rafael Goncalves Martins <rafael@rafaelmartins.eng.br> :
+ Manifest fix.
+
+*g-octave-0.1 (05 Jun 2010)
+
+ 05 Jun 2010; Rafael Goncalves Martins <rafael@rafaelmartins.eng.br>
+ -g-octave-0.1_rc3.ebuild, +g-octave-0.1.ebuild:
+ Version bump.
+
+ 30 May 2010; Rafael Goncalves Martins <rafael@rafaelmartins.eng.br>
+ g-octave-9999.ebuild:
+ Added src_test()
+
+*g-octave-0.1_rc3 (03 Feb 2010)
+
+ 03 Feb 2010; Rafael Goncalves Martins <rafael@rafaelmartins.eng.br>
+ g-octave-9999.ebuild, +g-octave-0.1_rc3.ebuild, -g-octave-0.1_rc2.ebuild:
+ Version bump. Cleanup. Changed urls of the live ebuild.
+
+*g-octave-0.1_rc2 (24 Jan 2010)
+
+*g-octave-9999 (24 Jan 2010)
+
+ 24 Jan 2010; Rafael Goncalves Martins <rafael@rafaelmartins.eng.br>
+ +g-octave-0.1_rc2.ebuild, +g-octave-9999.ebuild:
+ Initial import.
+
diff --git a/app-portage/g-octave/Manifest b/app-portage/g-octave/Manifest
new file mode 100644
index 000000000..46928f7f9
--- /dev/null
+++ b/app-portage/g-octave/Manifest
@@ -0,0 +1,33 @@
+-----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA1
+
+- -----BEGIN PGP SIGNED MESSAGE-----
+Hash: SHA1
+
+DIST g-octave-0.1.tar.gz 43336 RMD160 b7b2424f2befd365c5ae23702ff9972df74e8a78 SHA1 535e23bf68405597d184d564b964e4ba628662ff SHA256 2160da6717f171f23c9b0b3c483e19913794973ed1e6ec0aa84ecb585872b412
+EBUILD g-octave-0.1.ebuild 697 RMD160 9172063a70bf671922e09a166bcc3861119385c9 SHA1 3f8a3bb4a7a17d22f28ec254fa95b7d69048e505 SHA256 21bb89414c21b160e55b91ab50b6cbff092101d8473db806b7acfd0a18ff71f0
+EBUILD g-octave-9999.ebuild 751 RMD160 47170a44288089ea3a3d8ec1397a03a8486cd4f1 SHA1 81931099d644a843b829343d376614914224a403 SHA256 61d1c541c21e3c83877b41085d09c961a9426df2c95b3f8a1c3484d26b46d263
+MISC ChangeLog 931 RMD160 657bb4d840afe2ae69665f5207ce9bc2d293b19f SHA1 89e2e3f4e55fab37db936d0c1f37ba3e90d016e0 SHA256 991d5cf7b1019a0cb1069ab4e48016a2393ec0ca4e34981c88ace847f505fb0f
+MISC metadata.xml 755 RMD160 c95cb26b5d1414bdc32e75426611fa2958b0ad0a SHA1 ede641c7cd18ad0f7956a81eaaab2e763f8197ba SHA256 cb005e8d8ce6bf8bad8e99edb3344916d0d5e61dbf736eed57b2c033dce1530f
+- -----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0.15 (GNU/Linux)
+
+iQEcBAEBAgAGBQJMCehpAAoJEMmH5mwCk1Nv+rEH/1MbnCTCGHavFabE2PmN41d+
+FImSwvXJzoxJsKUwYWVAUpN/fojdrzY8vaD1TAaEV75sh7eQCGw5HCL0+kos34+D
+aGs9UDrljTYcREOoiDYNFxQM0LH/nWw6a98c84aCdIzvw3SsViAVs4ugWMSZwicS
+T//DtsUQMdSh5M1/x+nrc8f/33RuV1cvQx4WK3iHHMUqdhakXk5ZmnSSiwa21Qxa
+31NMZ0M7PQbHBeJ2Z59tcCCJdOQpk7CXKirifDzMxiuoExz/aIWqLsXMV0LgpGPd
+64QEXz23auMfNPV8bNSDCLSaUMfqCdGuAQRsZ9WNpRgfoVThm9ltEseiyaYBHR0=
+=Yvej
+- -----END PGP SIGNATURE-----
+-----BEGIN PGP SIGNATURE-----
+Version: GnuPG v2.0.15 (GNU/Linux)
+
+iQEcBAEBAgAGBQJMK5SZAAoJEMmH5mwCk1NvhzcH/RzkKGt7/kHaxCKuKVVi5V+a
+oolxYSCtQ1SVFZzN1hqKXErq65/S076Fg60hBrcYSj4kjVtxmtlgZvjDN6OtNmMh
+DBpV/PaZFj6DpXDEMiVWhOU7wFpwEzqIVsus1NRXUEKnlYnRebNgncNkqoEEQU8T
+vMIbAwYGujF5WhXcvW6MSxv313evkTDA5ZcWzGE9lPs7l+nzgDbPwqAp/ry+EcNt
+OdxWTRwGfwbdG7zJnCTha1I70wEEnsCuL3ePUSvjZE4oUo2rQlWpGbxPuGYv9ICN
+bQ4OSqVQLSU9kuZk3TAAVdy4/KY59y/zerYrEG2wIYZUVoqSgP8vtgb77h0QiEQ=
+=Yh+X
+-----END PGP SIGNATURE-----
diff --git a/app-portage/g-octave/g-octave-0.1.ebuild b/app-portage/g-octave/g-octave-0.1.ebuild
new file mode 100644
index 000000000..9f421745e
--- /dev/null
+++ b/app-portage/g-octave/g-octave-0.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit distutils
+
+DESCRIPTION="A tool that generates and installs ebuilds for Octave-Forge"
+HOMEPAGE="http://g-octave.rafaelmartins.eng.br/"
+SRC_URI="http://files.rafaelmartins.eng.br/distfiles/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="( >=dev-lang/python-2.6 <dev-lang/python-3 )"
+RDEPEND="${DEPEND}
+ || ( >=sys-apps/portage-2.1.7[-python3] <sys-apps/portage-2.1.7 )"
+
+src_install() {
+ distutils_src_install
+ dohtml ${PN}.html
+ doman ${PN}.1
+}
+
+src_test() {
+ PYTHONPATH=. scripts/run_tests.py || die "test failed."
+}
diff --git a/app-portage/g-octave/g-octave-9999.ebuild b/app-portage/g-octave/g-octave-9999.ebuild
new file mode 100644
index 000000000..fe8c1f73f
--- /dev/null
+++ b/app-portage/g-octave/g-octave-9999.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit distutils mercurial
+
+DESCRIPTION="A tool that generates and installs ebuilds for Octave-Forge"
+HOMEPAGE="http://g-octave.rafaelmartins.eng.br/"
+EHG_REPO_URI="http://hg.rafaelmartins.eng.br/g-octave/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="test"
+
+CDEPEND="( >=dev-lang/python-2.6 <dev-lang/python-3 )"
+DEPEND="${CDEPEND}
+ >=dev-python/docutils-0.6"
+RDEPEND="${CDEPEND}
+ || ( >=sys-apps/portage-2.1.7[-python3] <sys-apps/portage-2.1.7 )"
+
+S="${WORKDIR}/${PN}"
+
+src_install() {
+ distutils_src_install
+ dohtml ${PN}.html
+ doman ${PN}.1
+}
+
+src_test() {
+ PYTHONPATH=. scripts/run_tests.py || die "test failed."
+}
diff --git a/app-portage/g-octave/metadata.xml b/app-portage/g-octave/metadata.xml
new file mode 100644
index 000000000..bfc62e668
--- /dev/null
+++ b/app-portage/g-octave/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>no-herd</herd>
+ <maintainer>
+ <email>rafael@rafaelmartins.eng.br</email>
+ <name>Rafael Goncalves Martins</name>
+ </maintainer>
+ <longdescription lang="en">
+ g-octave is a tool that generates and installs ebuilds for Octave-Forge
+ packages "on-the-fly" to Gentoo Linux, using Portage. It's capable to
+ generate ebuilds and Manifest files for the packages, and to install
+ them using an autogenerated overlay (named g-octave). g-octave can also
+ handle patches to the packages automatically. The command line interface
+ tries to be very similar to the interface of the emerge tool.
+ </longdescription>
+</pkgmetadata>
+